View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010552CMakeCMakepublic2010-04-14 04:392016-06-10 14:31
ReporterMichael Wild 
Assigned ToKitware Robot 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionmoved 
PlatformOSOS Version
Product VersionCMake-2-8 
Target VersionFixed in Version 
Summary0010552: Xcode generator linker flags do not inherit compile flags and shared library targets ignore configuration-specific linker flags
DescriptionWhen using the Xcode generator, the linker flags of targets to not inherit the compile flags as happens when using the Unix Makefiles generator. Further the Xcode generator ignores configuration-specific linker flags for shared libraries.
Additional InformationThe attached project exhibits the problem.
TagsNo tags attached.
Attached Filesgz file icon xcode-flags-test.tar.gz [^] (860 bytes) 2010-04-14 04:39

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0030586)
David Cole (manager)
2012-08-13 15:06

Sending old, not-recently-updated issues to the backlog.

(The age of the bug alone means that nobody is actively working on it...)

If an issue you care about is sent to the backlog when you feel it should have been addressed in a different manner, please bring it up on the CMake mailing list for discussion. Sign up for the mailing list here, if you're not already on it: http://www.cmake.org/mailman/listinfo/cmake [^]

It's easy to re-activate a bug here if you can find a CMake developer who has the bandwidth to take it on, and ferry a fix through to our 'next' branch for dashboard testing.
(0041684)
Kitware Robot (administrator)
2016-06-10 14:27

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2010-04-14 04:39 Michael Wild New Issue
2010-04-14 04:39 Michael Wild File Added: xcode-flags-test.tar.gz
2010-12-16 08:46 David Cole Assigned To => David Cole
2010-12-16 08:46 David Cole Status new => assigned
2012-08-13 15:06 David Cole Status assigned => new
2012-08-13 15:06 David Cole Note Added: 0030586
2012-08-13 15:07 David Cole Status new => backlog
2012-08-13 15:22 David Cole Assigned To David Cole =>
2016-06-10 14:27 Kitware Robot Note Added: 0041684
2016-06-10 14:27 Kitware Robot Status backlog => resolved
2016-06-10 14:27 Kitware Robot Resolution open => moved
2016-06-10 14:27 Kitware Robot Assigned To => Kitware Robot
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker